## GimpFileEntry

GimpFileEntry — Widget for entering a filename.

## Functions

GtkWidget * | gimp_file_entry_new ()
gchar * | gimp_file_entry_get_filename ()
void | gimp_file_entry_set_filename ()

## Signals

void | filename-changed | Run First

## Types and Values

| GimpFileEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpFileEntry

## Implemented Interfaces

GimpFileEntry implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

This widget is used to enter filenames or directories.

There is a GtkEntry for entering the filename manually and a "..." button which will pop up a GtkFileChooserDialog.

You can restrict the GimpFileEntry to directories. In this case the filename listbox of the GtkFileChooser dialog will be set to directory mode.

If you specify `check_valid` as TRUE in `gimp_file_entry_new()` the entered filename will be checked for validity and a pixmap will be shown which indicates if the file exists or not.

Whenever the user changes the filename, the "filename_changed" signal will be emitted.

## Functions

### gimp_file_entry_new ()

    GtkWidget *
    gimp_file_entry_new (const gchar *title,
                         const gchar *filename,
                         gboolean dir_only,
                         gboolean check_valid);

`gimp_file_entry_new` is deprecated and should not be used in newly-written code.

You should use GtkFileChooserButton instead.

#### Parameters

title | The title of the GimpFileEntry dialog. |
filename | The initial filename. |
dir_only | `TRUE` if the file entry should accept directories only. |
check_valid | `TRUE` if the widget should check if the entered file really exists. |

#### Returns

A pointer to the new GimpFileEntry widget.

### gimp_file_entry_get_filename ()

    gchar *
    gimp_file_entry_get_filename (GimpFileEntry *entry);

`gimp_file_entry_get_filename` is deprecated and should not be used in newly-written code.

Note that you have to `g_free()` the returned string.

#### Parameters

entry | The file entry you want to know the filename from. |

#### Returns

The file or directory the user has entered.

### gimp_file_entry_set_filename ()

    void
    gimp_file_entry_set_filename (GimpFileEntry *entry,
                                  const gchar *filename);

`gimp_file_entry_set_filename` is deprecated and should not be used in newly-written code.

If you specified `check_valid` as `TRUE` in `gimp_file_entry_new()` the GimpFileEntry will immediately check the validity of the file name.

#### Parameters

entry | The file entry you want to set the filename for. |
filename | The new filename. |

## Types and Values

### GimpFileEntry

    typedef struct _GimpFileEntry GimpFileEntry;

`GimpFileEntry` is deprecated and should not be used in newly-written code.

## Signal Details

### The `“filename-changed”` signal

    void
    user_function (GimpFileEntry *arg0,
                   gpointer       user_data)

This signal is emitted whenever the user changes the filename.

#### Parameters

user_data | user data set when the signal handler was connected. |

Flags: Run First

## See Also

GimpPathEditor